package flow;

public class CMenuItemConfig {
	@Override
	public String toString() {
		return "CMenuItemConfig [RowID=" + RowID + ", ParentMenuID="
				+ ParentMenuID + ", MenuItemId=" + MenuItemId + ", PlayType="
				+ PlayType + ", PlayItem=" + PlayItem + ", BEnable=" + BEnable
				+ ", MenuOrder=" + MenuOrder + ", NextMenu=" + NextMenu
				+ ", ParentMenu=" + ParentMenu + ", ItemMenuName="
				+ ItemMenuName + ", SMSTemplate=" + SMSTemplate + ", DTMF="
				+ DTMF + ", TransferNO="+ TransferNO+ ", Remark=" + Remark+ ", sonNodeType=" + SonNodeType + "]";
	}

	int RowID;
	String ParentMenuID;
	String MenuItemId;
	int PlayType;
	String PlayItem;
	int BEnable;
	int MenuOrder;
	String NextMenu;
	CMenuConfig ParentMenu;
	String ItemMenuName;
	String TransferNO;
	String SonNodeType;
	
	public String getSonNodeType() {
		return SonNodeType;
	}

	public void setSonNodeType(String sonNodeType) {
		SonNodeType = sonNodeType;
	}
	public String getTransferNO() {
		return TransferNO == null ? "" : TransferNO;
	}

	public void setTransferNO(String transferNO) {
		TransferNO = transferNO;
	}
	
	public String getItemMenuName() {
		return ItemMenuName == null ? "" : ItemMenuName;
	}

	public void setItemMenuName(String itemMenuName) {
		ItemMenuName = itemMenuName;
	}

	String SMSTemplate;

	public String getSMSTemplate() {
		return SMSTemplate;
	}

	public void setSMSTemplate(String sMSTemplate) {
		SMSTemplate = sMSTemplate;
	}

	public CMenuConfig getParentMenu() {
		return ParentMenu;
	}

	public void setParentMenu(CMenuConfig parentMenu) {
		ParentMenu = parentMenu;
	}

	public int getRowID() {
		return RowID;
	}

	public void setRowID(int rowID) {
		RowID = rowID;
	}

	public String getParentMenuID() {
		return ParentMenuID;
	}

	public void setParentMenuID(String parentMenuID) {
		ParentMenuID = parentMenuID;
	}

	public String getMenuItemId() {
		return MenuItemId;
	}

	public void setMenuItemId(String menuItemId) {
		MenuItemId = menuItemId;
	}

	public int getPlayType() {
		return PlayType;
	}

	public void setPlayType(int playType) {
		PlayType = playType;
	}

	public String getPlayItem() {
		return PlayItem;
	}

	public void setPlayItem(String playItem) {
		PlayItem = playItem;
	}

	public int getBEnable() {
		return BEnable;
	}

	public void setBEnable(int bEnable) {
		BEnable = bEnable;
	}

	public int getMenuOrder() {
		return MenuOrder;
	}

	public void setMenuOrder(int menuOrder) {
		MenuOrder = menuOrder;
	}

	public String getNextMenu() {
		return NextMenu;
	}

	public void setNextMenu(String nextMenu) {
		NextMenu = nextMenu;
	}

	public String getDTMF() {
		return DTMF == null ? "" : DTMF;
	}

	public void setDTMF(String dTMF) {
		DTMF = dTMF;
	}

	public String getRemark() {
		return Remark;
	}

	public void setRemark(String remark) {
		Remark = remark;
	}

	String DTMF;
	String Remark;;
}
